/* $Id: elmsmtp.h,v 2.6 2014/10/18 07:52:48 hurtta Exp $ */

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.6 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI> 
 *                  (was hurtta+elm@posti.FMI.FI, hurtta+elm@ozone.FMI.FI)
 *       or Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "elmshared.h"

#include "addrlib.h"
#include "mailerlib.h"
#include "mailer_imp.h"
#include "connection_imp.h"
#include "ss_imp.h"
#include "mime.h"
#include "shared_smtp.h"

#ifdef ANSI_C
struct SMTP_ext_libs;
#endif

extern void probe_smtp_ext_lib P_((struct SMTP_ext_libs ** smtp_ext_libs,
				   int                   * smtp_ext_libcount,
				   const char            * ext,
				   const char            * ext_args));

extern int handle_smtp_ext_libs P_((struct mailer_info_1  * mailer_info,
				    struct SMTP_ext_libs ** smtp_ext_libs,
				    int                   * smtp_ext_libcount,
				    enum CAPA_phase       * phase,
				    struct smtp_callbacks * commands));

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
