/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.3 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI> 
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "def_elm.h"

extern struct sending_display * new_sending_display  P_((int rcpt_count,
							 int interactive));
extern void free_sending_display P_((struct sending_display **sd));
extern void inc_sending_display_refcount P_((struct sending_display *sd));
extern void update_addr_sd P_((struct sending_display *sd,
			       int                    idx,
			       struct string        * addr,
			       enum msd_addr_status   status,
			       struct string        * message /* server */
			       ));
extern enum msd_action check_addr_sd P_((struct sending_display *sd,
					 int                    idx,
					 struct string        * addr,
					 enum msd_addr_status   status,
					 struct string        * message 
					 /* server */,
					 enum msd_can_continue can_continue));
extern void update_data_sd P_((struct sending_display * sd,
			       enum msd_data_status     status,
			       struct string          * message /* server */));
extern enum msd_action check_fail_sd P_((struct sending_display *sd,
					 enum msd_data_status    status,
					 struct string         * message 
					 /* server */,
					 enum msd_can_continue can_continue));
extern void update_con_sd P_((struct sending_display *sd,
			      enum msd_connection_info idx,
			      struct string *text));

extern enum msd_action size_check_sd P_((struct sending_display *sd,
					 long message_size,
					 long size_limit));
extern void update_size_cb P_((struct sending_display *sd,
			       enum msd_size_info idx,
			       long size));

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
